/*
Theme Name: Bakerloo Essentials
Description: Theme for Bakerloo
Author: DFS
Template: salient
Version: 1.0
*/

:root {
	--brand: #643a88;
	/*brand accent color*/
	--brand2: #676767;
	/*brand secondary accent color*/
	--brand3: #000000;
	/*brand other accent color*/
	--logo: url('/wp-content/uploads/2026/01/bakerloo-fav.png');
	/*brand logo url*/
}

/*login styles*/
body.login {
	background: #fff;
}

body.login,
body.login p,
body.login a,
body.login li,
body.login h1,
body.login h2,
body.login h3,
body.login h4,
body.login h5,
body.login h6,
body.login label,
body.login input,
#wpadminbar a {
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
}

body.login h1 a,
.login .wp-login-logo a {
	background: var(--logo) no-repeat center bottom !important;
	background-size: contain !important;
	height: 100px;
	width: auto;
	max-width: 170px;
	margin-bottom: 20px;
	pointer-events: none;
}

.login form {
	border: none;
	box-shadow: 0 0 30px -5px rgba(0, 0, 0, .15);
	border-radius: 10px;
	position: relative !important;
	padding-top: 15px;
}

body.login input[type=password],
body.login input[type=text] {
	height: 45px;
	border-radius: 5px;
}

body.login input[type=password]:focus,
body.login input[type=text]:focus {
	border-color: var(--brand);
	box-shadow: 0 0 0 1px var(--brand);
	outline: 2px solid transparent;
}

body.login .button .dashicons {
	color: var(--brand);
}

body.login input#wp-submit {
	width: 100%;
	height: 45px;
	margin-bottom: 20px;
	margin-top: 10px;
	border-radius: 5px;
	text-transform: uppercase;
	border: none !important;
	background: var(--brand);
	color: #fff;
	font-weight: 700;
	font-size: 14px;
	transition: opacity .2s;
}

body.login input#wp-submit:hover {
	opacity: .8;
}

body.login form input[type=checkbox],
body.login form input[type=checkbox]:focus {
	height: 16px;
	width: 16px;
	border: 1px solid #676767;
	border-radius: 50px;
	-webkit-appearance: none;
	box-shadow: none;
}

body.login form input[type=checkbox]:checked {
	background: #676767;
	border: 2px solid #fff;
	box-shadow: 1px 0 0, -1px 0 0, 0 1px 0, 0 -1px 0;
}

body.login form input[type=checkbox]:before {
	display: none !important;
}

body.login form .input {
	margin-bottom: 10px;
}

body.login .forgetmenot {
	position: absolute;
	bottom: 10px;
}

body.login #backtoblog {
	display: none;
}

body.login #nav {
	margin: 15px 0;
	text-align: center;
}

body.login h1 a:focus {
	box-shadow: none;
	color: transparent;
}

body.login #login_error,
.login .message,
.login .success {
	position: absolute;
	top: 25px;
	width: 316px;
	background: #fff;
	border: 1px solid #000;
	box-shadow: none;
	text-align: center;
	font-size: 15px;
	font-weight: 700;
	margin-left: -4px;
	padding: 8px 5px;
}

/*END login styles*/
body,
a,
h1,
h2,
h3,
h4,
h5,
h6,
input {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

p,
label {
	-moz-osx-font-smoothing: grayscale;
}

header#top nav>ul>li>a {
	-moz-osx-font-smoothing: grayscale;
}

a.nectar-button,
input.button {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

a {
	cursor: pointer;
}

.mobileEle,
.hideEle {
	display: none !important;
}

.hideNavLink,
.hideNavLink a {
	visibility: hidden;
	opacity: 0;
	padding: 0 !important;
	margin: 0 !important;
	width: 0 !important;
	font-size: 0 !important;
	text-indent: -999999px;
}

.accessTxt,
.accessLabel {
	position: absolute;
	font-size: 0;
	opacity: 0;
	pointer-events: none;
}

.centerEle {
	margin: 0 auto !important;
}

.justify {
	text-align: justify !important;
}

.grayscaleBg>.row-bg-wrap>.row-bg-layer>.row-bg,
.grayscale {
	filter: grayscale(1);
}

.page-title {
	display: none;
}

ul li {
	padding-bottom: 10px;
}

.off-canvas-menu-container ul.menu li {
	padding-bottom: inherit;
}

.opacity10 {
	opacity: .1 !important;
}

.opacity20 {
	opacity: .2 !important;
}

.opacity30 {
	opacity: .3 !important;
}

.opacity40 {
	opacity: .4 !important;
}

.opacity50 {
	opacity: .5 !important;
}

.opacity60 {
	opacity: .6 !important;
}

.opacity70 {
	opacity: .7 !important;
}

.opacity80 {
	opacity: .8 !important;
}

.opacity90 {
	opacity: .9 !important;
}

.bottom0 {
	margin-bottom: 0 !important;
}

.row .col .img-with-aniamtion-wrap img:not([srcset]) {
	width: 100%;
}

.leaflet-control-attribution {
	display: none !important;
}

.cky-notice .cky-title,
.cky-notice .cky-notice-des p:last-child {
	margin-bottom: 0 !important;
	padding-bottom: 0 !important;
}

.cky-notice .cky-title {
	margin-bottom: 5px !important;
}

.woocommerce ul.products li.product.material,
.woocommerce-page ul.products li.product.material,
.woocommerce div.product form.cart .variations select {
	border: 1px solid #eee;
}

.single-product .woocommerce-product-details__short-description ul li {
	padding-bottom: 5px;
	line-height: 1.4em;
}

button#taxonomy\/product_cat-fabric,
.related.products,
.woocommerce ul.products li.product .woocommerce-loop-category__title .count,
.material.product:hover .product-wrap .product-add-to-cart {
	display: none !important;
}

.woocommerce ul.products li.product a img {
	margin-bottom: 0 !important;
}

.nectar-fancy-box[data-style=image_above_text_underline] .text {
	padding-top: 5px !important;
}

.woocommerce ul.products li.product .woocommerce-loop-product__title {
	padding-top: 0;
}

.material.product .product-wrap .product-meta>.price {
	margin-bottom: 0;
}

.single-product div.product form.cart div.quantity:before {
	content: 'Yards';
	font-weight: 700;
	margin-right: 15px;
	font-size: 18px;
}

.flickity-prev-next-button:disabled {
	display: flex;
}

.woocommerce .material.product:hover .product-meta>.price,
.woocommerce .material.product:hover h2,
.woocommerce .material.product:hover h3 {
	transform: translateY(0);
}

.woocommerce .material.product:hover .product-wrap .product-meta>.price {
	opacity: 1 !important;
}

.wc-block-product-filter-chips__item {
	font-size: 16px !important;
}

.single-product .woocommerce-price-hidden {
	font-size: 24px;
}

.woocommerce-error li:last-child,
.woocommerce-info li:last-child,
.woocommerce-message li:last-child {
	padding-bottom: 0;
}

body.material #header-outer a.cart-contents .cart-wrap span {
	text-indent: -99999999px;
}

.wc-block-components-order-summary-item__quantity>span:after {
	content: ' yds';
}

.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity {
	right: auto;
	left: 0;
	top: -12px;
	transform: none;
}

.style_slide_in_click .product-meta .modify>.quantity:before {
	content: 'Yards';
	position: absolute !important;
	bottom: -8px;
	text-align: center;
	width: 120px;
}

.wc-block-components-quantity-selector:after {
	content: 'Yards';
	position: absolute;
	right: -50px;
	top: 3px;
}

.single-product .images .product-slider:after {
	content: 'Images are for illustrative purposes only. The colors shown are accurate within the constraints of lighting, photography and the color accuracy of your screen.';
	text-align: center;
	display: block;
	font-size: 16px;
	line-height: 1.2em;
	margin: 0 auto;
	margin-top: 6px;
	font-style: italic;
}

.single-product span.woocommerce-price-hidden {
	padding: 5px 10px;
	border: 2px solid var(--brand);
}

.woocommerce div.product .summary p.price {
	padding-bottom: 25px;
}

span.woo-selected-variation-item-name:empty {
	display: none !important;
}

.single-product span.sku_wrapper {
	margin-left: 2px;
	display: block;
	margin-top: 5px;
}

.single-product div.product_meta>span.sku_wrapper {
	display: none;
}

span.archive-tile-title-sku {
	display: block;
	font-size: 16px;
}

/* Hide old color + sku block */
.single-product .variations_form .label {
	display: none !important;
}

.single-product .entry-summary .custom-sku-color {
	margin-bottom: 15px;
	display: block;
}

.single-product .entry-summary .custom-sku-color p {
	margin: 0;
	padding: 0;
	font-size: 30px;
	line-height: 30px;
}

.single-product .entry-summary .custom-sku-color p.product-color {
	margin-bottom: 10px;
}

span.woocommerce-price-hidden.custom-button-to-see-price {
	border: none;
	padding: 0;
}

.post-type-archive-product .custom-button-to-see-price a {
	font-size: 15px;
	padding: 10px 15px;
	letter-spacing: 0.5px;
}

.custom-button-to-see-price a {
	padding: 15px 22px;
	color: #fff;
	font-family: League Spartan;
	font-weight: 400;
	border-radius: 4px !important;
	-webkit-border-radius: 4px !important;
	box-shadow: none;
	-webkit-transition: opacity .45s cubic-bezier(0.25, 1, 0.33, 1), transform .45s cubic-bezier(0.25, 1, 0.33, 1), border-color .45s cubic-bezier(0.25, 1, 0.33, 1), color .45s cubic-bezier(0.25, 1, 0.33, 1), background-color .45s cubic-bezier(0.25, 1, 0.33, 1), box-shadow .45s cubic-bezier(0.25, 1, 0.33, 1);
	transition: opacity .45s cubic-bezier(0.25, 1, 0.33, 1), transform .45s cubic-bezier(0.25, 1, 0.33, 1), border-color .45s cubic-bezier(0.25, 1, 0.33, 1), color .45s cubic-bezier(0.25, 1, 0.33, 1), background-color .45s cubic-bezier(0.25, 1, 0.33, 1), box-shadow .45s cubic-bezier(0.25, 1, 0.33, 1);
	background-color: #643a88;
	border: none;
	cursor: pointer;
	font-size: 18px;
	width: auto;
}

.custom-button-to-see-price a:hover,
.custom-button-to-see-price a:focus {
	box-shadow: 0 20px 38px rgba(0, 0, 0, 0.16) !important;
	-ms-transform: translateY(-3px);
	transform: translateY(-3px);
	-webkit-transform: translateY(-3px);
	opacity: .85;

}

.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce nav.woocommerce-pagination ul li span.current {
	height: auto !important;
	width: auto !important;
	line-height: 1.5 !important;
	font-size: 18px !important;
}


.wp-singular .ocm-effect-wrap .wp-block-woocommerce-cart table span,
.wp-singular .ocm-effect-wrap .wp-block-woocommerce-cart table .wc-block-components-product-name,
.wc-block-cart .wp-block-woocommerce-cart-order-summary-block .wc-block-components-panel,
.wc-block-cart .wp-block-woocommerce-cart-order-summary-block .wc-block-components-totals-coupon,
.wc-block-cart .wp-block-woocommerce-cart-order-summary-block .wc-block-components-totals-item,
.woocommerce-checkout .wc-block-components-totals-coupon .wc-block-components-panel__button,
.woocommerce-checkout .wc-block-components-totals-item__label {
	font-size: 18px;
	line-height: 1.8;
}

.woocommerce-checkout .wc-block-components-checkout-return-to-cart-button,
.woocommerce-checkout .wc-block-checkout__sidebar .wc-block-components-product-name,
.woocommerce-checkout .wc-block-components-formatted-money-amount,
.woocommerce-checkout .wc-block-components-product-details__name,
.woocommerce-checkout .wc-block-components-product-details__value {
	font-size: 18px;
	line-height: 1.2;
}

.wc-block-cart .wc-block-cart__totals-title {
	font-size: 18px !important;
	line-height: 1.8 !important;
}

p,
.woocommerce-MyAccount-navigation ul li a,
.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info,
.woocommerce .woocommerce-message,
.woocommerce-page .woocommerce-message {
	font-size: 18px;
	line-height: 1.5;
}

.woocommerce .container .woocommerce-error a.button,
.woocommerce .container .woocommerce-info a.button,
.woocommerce .container .woocommerce-message a.button,
.woocommerce-page .container .woocommerce-error a.button,
.woocommerce-page .container .woocommerce-info a.button,
.woocommerce-page .container .woocommerce-message a.button {
	font-size: 18px;
	line-height: 1.5;
}


body,
.toggle h3 a,
body .ui-widget,
table,
select,
.bar_graph li span strong,
#slide-out-widget-area .tagcloud a,
body .container .woocommerce-message a.button,
#search-results .result .title span,
.woocommerce ul.products li.product h3,
.woocommerce-page ul.products li.product h3,
.row .col.section-title .nectar-love span,
body .nectar-love span,
body .nectar-social .nectar-love .nectar-love-count,
body .carousel-heading h2,
.sharing-default-minimal .nectar-social .social-text,
body .sharing-default-minimal .nectar-love,
.widget ul.nectar_widget[class*="nectar_blog_posts_"]>li .post-date,
.single [data-post-hs="default_minimal"] #single-below-header span,
.single .heading-title[data-header-style="default_minimal"] #single-below-header span,
#header-outer .nectar-image-link-widget .image-link-content span,
#slide-out-widget-area.fullscreen .nectar-image-link-widget .image-link-content span,
#slide-out-widget-area.fullscreen-alt .nectar-image-link-widget .image-link-content span,
.nectar-header-text-content,
#slide-out-widget-area .nectar-ext-menu-item .menu-item-desc,
.woocommerce-checkout-review-order-table .product-info .product-quantity,
#ajax-content-wrap .nectar-shop-header-bottom .widget_layered_nav_filters ul li a,
#ajax-content-wrap .nectar-sticky-tabs .wpb_tabs_nav li .menu-content>a {
	font-size: 18px;
	line-height: 1.5;
}

.container-wrap input[type=text],
.container-wrap input[type=email],
.container-wrap input[type=password],
.container-wrap input[type=tel],
.container-wrap input[type=url],
.container-wrap input[type=search],
.container-wrap input[type=date],
.container-wrap input[type=number],
.container-wrap textarea,
.container-wrap select,
body input[type=text],
body input[type=email],
body input[type=password],
body input[type=tel],
body input[type=url],
body input[type=search],
body input[type=date],
body input[type=number],
body textarea,
body select,
body>#review_form_wrapper.modal input[type=text],
body>#review_form_wrapper.modal textarea,
body>#review_form_wrapper.modal select,
body>#review_form_wrapper.modal input[type=email],
.select2-container--default .select2-selection--single,
body[data-fancy-form-rcs="1"] .select2-container--default .select2-selection--single,
.woocommerce input#coupon_code,
.material.woocommerce-page[data-form-style="default"] input#coupon_code,
body[data-form-style="minimal"] input[type="text"],
body[data-form-style="minimal"] textarea,
body[data-form-style="minimal"] input[type="email"],
body[data-form-style="minimal"] input[type=password],
body[data-form-style="minimal"] input[type=tel],
body[data-form-style="minimal"] input[type=url],
body[data-form-style="minimal"] input[type=search],
body[data-form-style="minimal"] input[type=date],
body[data-form-style="minimal"] input[type=number],
body[data-form-style="minimal"] select {
	font-size: 18px;
}

.woocommerce-account .woocommerce-MyAccount-content p .woocommerce-Button {
	margin-top: 25px;
	font-size: 18px;
	line-height: 1.5;
}

.link_text.custom_a_style {
	position: relative;
}

.link_text.custom_a_style:after {
	margin-top: 0;
	top: auto;
	border-top: none;
	border-right: none;
	bottom: 0;
	border-left: none;
	border-bottom: 2px solid #000;
	border-radius: 0;
	background-color: transparent !important;
	transition: transform .4s cubic-bezier(.23, .46, .4, 1);
	animation: none;
	transform-origin: left;
	z-index: 1;
	border-bottom-width: 1px;
	display: block;
	content: '';
	position: absolute;
	width: 100%;
	transform: scaleX(1);
}

.link_text.custom_a_style:hover:after,
.link_text.custom_a_style:focus:after {
	transform: scaleX(0);
}

.wvs-archive-variations-wrapper.wvs-pro-loaded {
	display: none;
}

.registration-section {
	padding: 50px 0;
}

.registration-inner-section {
	max-width: 575px;
	margin: 0 auto;
	padding: 0 15px;
}

.registration-section .section-heading {
	margin: 0 0 30px;
	text-align: center;
}

.custom-message-style {
	color: #fff !important;
	padding: 18px 10px !important;
}

.woocommerce-message:after,
.woocommerce-message:before {
	display: none;
}

.woocommerce-message {
	margin-bottom: 20px;
}

.registration-section .input-text {
	font-family: inherit;
	font-weight: 400;
	letter-spacing: normal;
	padding: .5em;
	display: block;
	background-color: var(--wc-form-color-background, #fff);
	border: var(--wc-form-border-width) solid var(--wc-form-border-color);
	border-radius: var(--wc-form-border-radius);
	color: var(--wc-form-color-text, #000);
	box-sizing: border-box;
	width: 100%;
	margin: 0;
	line-height: normal;
	height: auto;
	font-size: 18px;
}

.registration-section form button {
	margin-top: 30px;
	font-size: 18px;
	line-height: normal;
	width: 100%;
	text-align: center;
}

.registration-section .go-back-to-login {
	margin: 15px 0 0;
}

.registration-section .go-back-to-login a {
	color: #643a88;
}

.registration-section .go-back-to-login a:hover,
.registration-section .go-back-to-login a:focus {
	text-decoration: underline;
}

.registration-section .form-row-wide {
	margin: 0 0 11px;
	padding: 0;
}

.page-id-52 .woocommerce-form-login .woocommerce-Button {
	margin-top: 30px !important;
	font-size: 18px;
	line-height: normal;
}

.page-id-52 p.woocommerce-LostPassword.lost_password,
.page-id-52 p.woocommerce-form-row.form-row {
	margin: 0;
	padding: 0;
}

.page-id-52 p.woocommerce-form-row.form-row {
	margin-top: 10px;
}

.page-id-52 p.woocommerce-LostPassword.lost_password:hover a,
.page-id-52 p.woocommerce-LostPassword.lost_password:focus a,
.page-id-52 p.woocommerce-form-row.form-row:hover a,
.page-id-52 p.woocommerce-form-row.form-row:focus a {
	text-decoration: underline;
}

.hide {
	display: none;
}

/* Home pgae Product Slider */
.custom-continuous-slider .slide-item {
	padding: 0 15px;
}

.custom-continuous-slider img {
	width: 100%;
	display: block;
}

.custom-continuous-slider h3 {
	margin-top: 5px;
	font-weight: 400;
	font-size: 22px;
	line-height: 1.5;
	color: #000;
	position: relative;
}

.custom-continuous-slider .color-options {
	margin-top: 8px;
}

.custom-continuous-slider .color-dot {
	width: 15px;
	height: 15px;
	background: #ccc;
	display: inline-block;
	border-radius: 50%;
	margin-right: 5px;
}

.custom-continuous-slider .color-options {
	display: grid;
	grid-template-columns: repeat(6, 1fr);
	gap: 16px;
}


/* Arrow base */
.custom-continuous-slider .custom-arrow {
	position: absolute;
	top: 40%;
	transform: translateY(-50%);
	width: 40px;
	height: 40px;
	background: #fff;
	border-radius: 50%;
	border: 1px solid #ddd;
	cursor: pointer;
	z-index: 10;
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}

/* Left arrow */
.custom-continuous-slider .prev-arrow {
	left: -20px;
}

/* Right arrow */
.custom-continuous-slider .next-arrow {
	right: -20px;
}

/* Arrow icon using pseudo */
.custom-continuous-slider .custom-arrow::before {
	content: '';
	display: block;
	width: 10px;
	height: 10px;
	border-top: 2px solid #333;
	border-right: 2px solid #333;
	margin: auto;
	position: relative;
	top: 14px;
}

/* Rotate for direction */
.custom-continuous-slider .prev-arrow::before {
	transform: rotate(-135deg);
}

.custom-continuous-slider .next-arrow::before {
	transform: rotate(45deg);
}

/* Hover effect */
.custom-continuous-slider .custom-arrow:hover {
	background: #000;
}

.custom-continuous-slider .custom-arrow:hover::before {
	border-color: #fff;
}

.custom-continuous-slider {
	display: flex;
	flex-flow: nowrap;
}

.custom-continuous-slider .slide-item {
	width: 20%;
}

.tax-product_cat.woocommerce ul.products li.product a {
	font-size: 13px;
	padding: 15px 14px;
}

/***********************************RESPONSIVE CSS****************************************/
@media only screen and (min-width: 1000px) {
	#header-outer #logo img {
		height: 40px;
	}
}

@media only screen and (min-width: 1300px) {
	body.woocommerce:not(.single-product) ul.products[data-n-desktop-columns="3"] li.product {
		width: calc(25% - 2%) !important;
	}

	body.woocommerce:not(.single-product) ul.products[data-n-desktop-columns="3"] li.product:not(:first-child):nth-child(3n + 1) {
		margin-right: 0px !important;
	}

	#header-outer #logo img {
		height: 60px;
	}
}





@media only screen and (max-width: 999px) {
	.deskEle {
		display: none !important;
	}

	.mobileEle {
		display: block !important;
	}
}

@media only screen and (max-width: 690px) {}

@media only screen and (max-width: 480px) {
	body #header-outer #logo img {
		height: auto !important;
		max-width: 130px;
		width: 100%;
	}
	}